Subject: Re: bug#48578: 28.0.50; Native-compiled files of some preloaded files not loaded at dump time

From: Andrea Corallo <[email-masked]>
Date: Mon, 24 May 2021 07:47:06 +0000

Eli Zaretskii <[email-masked]> writes:

> On May 24, 2021 9:55:10 AM GMT+03:00, Andrea Corallo <[email-masked]> wrote:
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Something strange is going on on this GNU/Linux system, unlike other
>> > systems where I build Emacs with native-compilation: when dumping,
>> > some of the preloaded files seem to be loaded in their byte-compiled
>> > form, not native-compiled form.  The files are the ones loaded at
>> the
>> > very beginning of 'loadup':
>> >
>> >   Loading emacs-lisp/byte-run...
>> >   Loading emacs-lisp/backquote...
>> >   Loading subr...
>> >   Loading version...
>> >   Loading widget...
>> >   Loading custom...
>> >   Loading emacs-lisp/map-ynp...
>> >   Loading international/mule...
>> >   Loading international/mule-conf...
>> >   Loading env...
>> >   Loading format...
>> >   Loading bindings...
>> >   Loading window...
>> >   Loading files...
>> >
>> > All the preloaded files after these ones are loaded as
>> native-compiled
>> > Lisp, as expected.
>> >
>> > I forced native compilation of the offending files, and verified the
>> > corresponding *.eln files are refreshed in the native-lisp
>> directory,
>> > but the problem persists.
>> >
>> > Why does this happen, and how do I fix it?
>> 
>> Hi Eli,
>> 
>> I just did a fresh build on GNU/Linux and I cannot reproduce this.
>> 
>> ===
>> Loading emacs-lisp/byte-run (native compiled elisp)...
>> Loading emacs-lisp/backquote (native compiled elisp)...
>> Loading subr (native compiled elisp)...
>> Loading version (native compiled elisp)...
>> Loading widget (native compiled elisp)...
>> Loading custom (native compiled elisp)...
>> Loading emacs-lisp/map-ynp (native compiled elisp)...
>> Loading international/mule (native compiled elisp)...
>> Loading international/mule-conf (native compiled elisp)...
>> Loading env (native compiled elisp)...
>> Loading format (native compiled elisp)...
>> Loading bindings (native compiled elisp)...
>> Loading window (native compiled elisp)...
>> Loading files (native compiled elisp)...
>> Loading emacs-lisp/macroexp (native compiled elisp)...
>> ===
>> 
>> Maybe related to the fix for bug#48497 and some state of your build?
>> 
>> Regards
>> 
>>   Andrea
>
> What state could that be?

Hard to say, mine is just a guess as I cannot reproduce it here.

> And what do I do to escape from that state?

make bootstrap or even better restart from a git clean?

  Andrea